#define seibz
#include "IR.h"
#include "DCC.h"

#include "LCD.h"
#include "LCD_ASCII.h"
#include "Buttons.h"
#include "Registers.h"



//different modes of operation: operations, programming, loco
/*
typedef enum {
    operations,
    directProgram,
    loco
} DCC_Mode;
*/

int Main(void)
{
    while (1)
    {
        if (IR_Receive())
        {
            Disable;
            switch (irState)
            {
            case REMOTE_STOP:
                //start/stop
                Run_Handler();
                break;
            case REMOTE_A_UP:
                DCC_IncreaseSpeed((DCC_Packet *)&DCC_trainArray[(1 + (3*DCC_bank))]);
                break;
            case REMOTE_A_DOWN:
                DCC_DecreaseSpeed((DCC_Packet *)&DCC_trainArray[(1 + (3*DCC_bank))]);
                break;
            case REMOTE_A_UPDOWN:
                DCC_Stop((DCC_Packet *)&DCC_trainArray[(1 + (3*DCC_bank))]);
                break;
            case REMOTE_B_UP:
                DCC_IncreaseSpeed((DCC_Packet *)&DCC_trainArray[(2 + (3*DCC_bank))]);
                break;
            case REMOTE_B_DOWN:
                DCC_DecreaseSpeed((DCC_Packet *)&DCC_trainArray[(2 + (3*DCC_bank))]);
                break;
            case REMOTE_B_UPDOWN:
                DCC_Stop((DCC_Packet *)&DCC_trainArray[(2 + (3*DCC_bank))]);
                break;
            case REMOTE_C_UP:
                DCC_IncreaseSpeed((DCC_Packet *)&DCC_trainArray[(3 + (3*DCC_bank))]);
                break;
            case REMOTE_C_DOWN:
                DCC_DecreaseSpeed((DCC_Packet *)&DCC_trainArray[(3 + (3*DCC_bank))]);
                break;
            case REMOTE_C_UPDOWN:
                DCC_Stop((DCC_Packet *)&DCC_trainArray[(3 + (3*DCC_bank))]);
                break;
            case REMOTE_BEEPMSG1:
                DCC_bank = 0;
                break;
            case REMOTE_BEEPMSG2:
                DCC_bank = 1;
                break;
            case REMOTE_BEEPMSG3:
                DCC_bank = 2;
                break;
            }

            irState = 0;
            ReceiveBuffer.empty = TRUE;
            Enable;
        }
    }

    return 1;
}
