#ifndef INTERRUPTS_H_DEFINED
#define INTERRUPTS_H_DEFINED

#define Int_Handler(RCX_Vector_Addr) ( *(void (**)(void) ) (RCX_Vector_Addr) )

#define NMI_Interrupt_Handler		Int_Handler(0xfd92)
#define IRQ0_Interrupt_Handler		Int_Handler(0xfd94)
#define IRQ1_Interrupt_Handler		Int_Handler(0xfd96)
#define FRT_Interrupt_OCIA_Handler	Int_Handler(0xfda2)
#define FRT_Interrupt_OCIB_Handler  Int_Handler(0xfda4) //Output Capture B
#define ERI_Interrupt_Handler		Int_Handler(0xfdb4)
#define RXI_Interrupt_Handler		Int_Handler(0xfdb6)

#endif
