#include "H8.h"
#include "LCD.h"

#ifndef MATH_H_DEFINED
#define MATH_H_DEFINED

void DecimalToBinary (int *binary, int decimal)
{
    int t,c,c1=0;

    for(c=7; c>=0; c--)
    {
        if (decimal >= 0) {
            t = decimal >> c;
        }
        else {

            t = (decimal * -1) >> c;
        }

        binary[c1] = (t&1);
        c1++;
    }

}

//16-bit multiplication
int __mulhi3(int a, int b) {
    int temp;

    asm (
        "mov.w    r0,r2 \n\t"
        "mulxu.b  r1h,r2 \n\t"
        "mov.b    r0h,r2h \n\t"
        "mulxu.b  r1l,r0 \n\t"
        "add.b    r2l,r0h \n\t"
        "mulxu.b  r2h,r1 \n\t"
        "add.b    r1l,r0h \n\t"
        : "=r" (temp)
    );

    return temp;
}
#endif
